devguard

AuditsId

Update an audit by id.

PATCH
/audits/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

slug*string
Match^[a-z0-9-]+$
Length1 <= length
name*string
Length2 <= length <= 255
type?|
started?|
ended?|
auditor?|
notes?|
organizationId*string
frameworkId?|

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.devguard.ch/api/audits/string/" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "name": "string",    "organizationId": "string"  }'
{
  "id": "string",
  "slug": "string",
  "name": "string",
  "type": "CERTIFICATION",
  "started": "string",
  "ended": "string",
  "auditor": "string",
  "notes": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "organizationId": "string",
  "frameworkId": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?